%define upstream_name Horde_Role
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.1
Release:     	%mkrel 2
Summary:    	PEAR installer role used to install Horde components
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear
Requires: 	php-pear-channel-horde
BuildArch:  	noarch

%description
Allows PEAR to install Horde components into a base Horde installation.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Role.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Role.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Role
fi

%files
%doc docs/Horde_Role/*
%{peardir}/*
%{xmldir}/Horde_Role.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-2.mga4
+ Revision: 527496
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 spuhler <spuhler> 1.0.1-1.mga4
+ Revision: 440393
- upgrade to version 1.0.1
- rearranged file section and Requires section

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 376614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + spuhler <spuhler>
    - imported package php-pear-Horde_Role

